CUT(1)

BEZEICHNUNG
cut - Teile jeder Zeile aus Dateien entfernen

ÜBERSICHT
cut OPTION... [DATEI]...

BESCHREIBUNG

Ausgewählte Teile aller Zeilen aus jeder DATEI auf Standardausgabe ausgeben.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --bytes=LISTE
    Nur diese Bytes auswählen

-c, --characters=LISTE
    Nur diese Zeichen auswählen

-d, --delimiter=TRENNER
    TRENNER anstelle des Tabulators als Feldtrennzeichen benutzen

-f, --fields=LISTE
    Nur diese Felder auswählen; außerdem jede Zeile ausgeben, die kein Trennzeichen enthält, es sei denn, die Option -s ist angegeben

-n  (ignoriert)

--complement
    Das Komplement der Menge der gewählten Bytes, Zeichen oder Felder bilden

-s, --only-delimited
    Keine Zeilen ausgeben, die keine Trennzeichen enthalten

--output-delimiter=ZEICHENKETTE
    ZEICHENKETTE als Ausgabetrennzeichen benutzen; Voreinstellung ist das Eingabetrennzeichen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Benutzen Sie genau eines der Argumente aus -b, -c oder -f. Jede LISTE besteht aus einem Bereich oder mehreren, durch Kommata getrennten, Bereichen. Die ausgewählte Eingabe wird in derselben Reihenfolge geschrieben, wie sie gelesen wird und genau einmal geschrieben. Jeder Bereich ist eins aus:

N   N-tes Byte, Zeichen oder Feld, beginnend bei 1

N-  Vom N-ten Byte, Zeichen oder Feld bis zum Ende der Zeile

N-M Vom N-ten zum M-ten (eingeschlossen) Byte, Zeichen oder Feld

-M  Vom ersten zum M-ten (eingeschlossen) Byte, Zeichen oder Feld

Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

AUTOR
Geschrieben von David M. Ihnat, David MacKenzie und Jim Meyering.

FEHLER BERICHTEN
Berichten Sie Fehler in cut (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von cut an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für cut wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und cut auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'cut invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.